{ config, lib, pkgs, ... }:

let
  domain = "tube.giugl.io";
in
{
  services.invidious = {
    enable = true;
    package = pkgs.unstablePkgs.invidious;
    settings = {
      hmac_key = "a2a91eca269d26de1221285e8981879834045bff";
    };
  };

  architect.vhost.${domain} = {
    dnsInterfaces = [ "lan" "tailscale" ];
    locations."/" = {
      port = config.services.invidious.port;
      allowWAN = true;
    };
  };
}
